#ifndef CPPE_CPPE_EXCEPTION_HPP
#define CPPE_CPPE_EXCEPTION_HPP

#include <string>

namespace cppe {

/**@brief
 * The class all exceptions from the cppe namespace inherits from.
 */

class cppe_exception {
	public:
	cppe_exception(const std::string &message) : _message(message) {}
	virtual const std::string& what() const { return _message; }
	
	virtual ~cppe_exception() throw() {}
	
	private:
	std::string _message;
};

} //End namespace cppe

#endif
