#ifndef CPPE_OUTPUT_BASE_HPP
#define CPPE_OUTPUT_BASE_HPP

#include <string>

namespace cppe {

/**@brief
 * Base class used by output.
 */

class output_base {
	public:
	enum Type {INFO, ERROR};
	virtual void write(Type type, const std::string& message) = 0;
	virtual ~output_base() throw() {}
};

} //End namespace cppe

#endif
