#ifndef CPPE_PLUGIN_EXCEPTION_HPP
#define CPPE_PLUGIN_EXCEPTION_HPP

#include <string>

#include <cppe/cppe_exception.hpp>

namespace cppe {

/**@brief
 * If there is problems loadning an plugin, this will be thrown.
 */

class plugin_exception : public cppe_exception {
	public:
	plugin_exception(const std::string& m) : cppe_exception(m) {}
};

} //End namespace cppe

#endif

