#ifndef EDITTTYS_EXCEPTION_HPP
#define EDITTTYS_EXCEPTION_HPP

#include <string>

namespace editttys {

class editttys_exception {
	public:
	editttys_exception(const std::string &message) : _message(message) {}
	virtual const std::string& what() const { return _message; }
	virtual ~editttys_exception() {}
	private:
	std::string _message;
};

} //End namespace editttys

#endif
