#ifndef CPPE_SYSTEM_HPP
#define CPPE_SYSTEM_HPP

/**@brief
 * A few functions to get system load and uptime
 */

namespace cppe {

enum LOAD_TYPE { ONE, FIVE, FIFTEEN };
double cpu_load(LOAD_TYPE min);

enum UPTIME_TYPE { SECONDS, MINUTES, HOURS, DAYS, WEEKS };
unsigned long uptime(UPTIME_TYPE type = SECONDS);

} //End namespace cppe

#endif


