#include <sstream>

#include <cppe/permissions.hpp>

namespace cppe {

using namespace std; 

permissions::permissions(const std::string &perms) {
	if(perms.size() > 4)
		throw bad_permission_exception(perms);
	stringstream ss;
	ss<<oct<<perms;
	ss>>_perms;
	if(!ss || !ss.eof())
		throw bad_permission_exception(perms);
}

} //End namespace cppe
