#ifndef EDITFILE_EXCEPTION_HPP
#define EDITFILE_EXCEPTION_HPP

#include <string>

namespace editfile {

class editfile_exception {
	public:
	editfile_exception(const std::string &message) : _message(message) {}
	virtual const std::string& what() const { return _message; }
	virtual ~editfile_exception() {}
	private:
	std::string _message;
};

} //End namespace editfile

#endif
