#ifndef EDITFSTAB_EXCEPTION_HPP
#define EDITFSTAB_EXCEPTION_HPP

#include <string>

namespace editfstab {

class editfstab_exception {
	public:
	editfstab_exception(const std::string &message) : _message(message) {}
	virtual const std::string& what() const { return _message; }
	virtual ~editfstab_exception() {}
	private:
	std::string _message;
};

} //End namespace editfstab

#endif
