#ifndef EDITKERNEL_EXCEPTION_HPP
#define EDITKERNEL_EXCEPTION_HPP

#include <string>

namespace editkernel {

class editkernel_exception {
	public:
	editkernel_exception(const std::string &message) : _message(message) {}
	virtual const std::string& what() const { return _message; }
	virtual ~editkernel_exception() {}
	private:
	std::string _message;
};

} //End namespace editkernel

#endif
