#ifndef EDITLOGIN_EXCEPTION_HPP
#define EDITLOGIN_EXCEPTION_HPP

#include <string>

namespace editlogin {

class editlogin_exception {
	public:
	editlogin_exception(const std::string &message) : _message(message) {}
	virtual const std::string& what() const { return _message; }
	virtual ~editlogin_exception() {}
	private:
	std::string _message;
};

} //End namespace editlogin

#endif
